=head1 NAME

XML::DOM::Entity - An XML ENTITY in XML::DOM

=head1 DESCRIPTION

XML::DOM::Entity extends L<XML::DOM::Node>.

This node represents an Entity declaration, e.g.

 <!ENTITY % draft 'INCLUDE'>

 <!ENTITY hatch-pic SYSTEM "../grafix/OpenHatch.gif" NDATA gif>

The first one is called a parameter entity and is referenced like this: %draft;
The 2nd is a (regular) entity and is referenced like this: &hatch-pic;

=head2 METHODS

=over 4

=item getNotationName

Returns the name of the notation for the entity.

I<Not Implemented> The DOM Spec says: For unparsed entities, the name of the 
notation for the entity. For parsed entities, this is null.
(This implementation does not support unparsed entities.)

=item getSysId

Returns the system id, or undef.

=item getPubId

Returns the public id, or undef.

=back

=head2 Additional methods not in the DOM Spec

=over 4

=item isParameterEntity

Whether it is a parameter entity (%ent;) or not (&ent;)

=item getValue

Returns the entity value.

=item getNdata

Returns the NDATA declaration (for general unparsed entities), or undef.

=back
